﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DataTypeExamples
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("C# DATA TYPES");
            
            Console.WriteLine("\n{0} \nsize = {1} byte, range: [{2},{3}]", typeof(byte).ToString(), sizeof(byte), byte.MinValue, byte.MaxValue);

            Console.WriteLine("\n{0} \nsize = {1} byte, range: [{2},{3}]", typeof(sbyte).ToString(), sizeof(sbyte), sbyte.MinValue, sbyte.MaxValue);

            Console.WriteLine("\n{0} \nsize = {1} bytes, range: [{2},{3}]", typeof(Int16).ToString(), sizeof(Int16), Int16.MinValue, Int16.MaxValue);

            Console.WriteLine("\n{0} \nsize = {1} bytes, range: [{2},{3}]", typeof(UInt16).ToString(), sizeof(UInt16), UInt16.MinValue, UInt16.MaxValue);

            Console.WriteLine("\n{0} \nsize = {1} bytes, range: [{2},{3}]", typeof(Int32).ToString(), sizeof(Int32), Int32.MinValue, Int32.MaxValue);

            Console.WriteLine("\n{0} \nsize = {1} bytes, range: [{2},{3}]", typeof(UInt32).ToString(), sizeof(UInt32), UInt32.MinValue, UInt32.MaxValue);

            Console.WriteLine("\n{0} \nsize = {1} bytes, range: [{2},{3}]", typeof(Int64).ToString(), sizeof(Int64), Int64.MinValue, Int64.MaxValue);

            Console.WriteLine("\n{0} \nsize = {1} bytes, range: [{2},{3}]", typeof(UInt64).ToString(), sizeof(UInt64), UInt64.MinValue, UInt64.MaxValue);

            Console.WriteLine("\n{0} \nsize = {1} bytes, range: [{2:E},{3:E}]", typeof(Single).ToString(), sizeof(Single), Single.MinValue, Single.MaxValue);

            Console.WriteLine("\n{0} \nsize = {1} bytes, range: [{2:E},{3:E}]",  typeof(Double).ToString(), sizeof(Double), Double.MinValue, Double.MaxValue);

            Console.WriteLine("\n{0} \nsize = {1} bytes, range: [{2:E},{3:E}]", typeof(Decimal).ToString(), sizeof(Decimal), Decimal.MinValue, Decimal.MaxValue);

            Console.WriteLine("\n{0} \nsize = {1} bytes, range: [0x{2,4:X4},0x{3,4:X4}]", typeof(Char).ToString(), sizeof(Char), (int)Char.MinValue, (int)Char.MaxValue);

            Console.WriteLine("\n{0} \nsize = {1} bytes, range: [{2},{3}]", typeof(Char).ToString(), sizeof(Char), (int)Char.MinValue,(int)Char.MaxValue);
            Console.ReadLine();
        }
    }
}
